NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.ConvergentFacet Class Reference

Represents a facet from convergent topology. More...

Inheritance diagram for NXOpen.ConvergentFacet:
NXOpen.IFacet NXOpen.NXObject NXOpen.INXObject

Public Member Functions

unsafe NXOpen.Point3d[] GetVertices ()
 Returns all three vertices of convergent facet in an array of points. More...
 
unsafe NXOpen.ConvergentFacet GetAdjacentFacet (int edgeIndex)
 Returns adjacent facet of a facet that abuts along edge of given edge index. More...
 
unsafe NXOpen.Vector3d[] GetVertexNormals ()
 Returns unit vertex normals of convergent facet. More...
 
unsafe NXOpen.Vector3d GetUnitNormal ()
 Returns unit normal vector of convergent facet. More...
 
unsafe void SetVertices (NXOpen.Point3d[] points)
 Sets the coordinates of all the three vertices of a convergent facet to new values. More...
 
unsafe void GetPlaneEquation (out NXOpen.Vector3d planeNormal, out double dCoefficient)
 Returns coefficients of plane equation of a convergent facet. More...
 
unsafe void Destroy ()
 Deletes a convergent facet object. More...
 

Properties

unsafe bool IsValid [get]
 Returns whether or not the convergent facet is a valid facet. More...
 
unsafe NXOpen.Face OwningFace [get]
 Returns the owning face of convergent facet. More...
 
unsafe NXOpen.Point3d Vertex0 [get, set]
 Returns or sets the coordinates of the vertex with index equal to zero. More...
 
unsafe NXOpen.Point3d Vertex1 [get, set]
 Returns or sets the coordinates of the vertex with index equal to one. More...
 
unsafe NXOpen.Point3d Vertex2 [get, set]
 Returns or sets the coordinates of the vertex with index equal to two. More...
 
- Properties inherited from NXOpen.IFacet
unsafe int FacetIdentifier [get]
 Returns the indentifier of facet in its owning entity More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Detailed Description

Represents a facet from convergent topology.

Instances of this class can be created using methods on NXOpen.Body and NXOpen.Face

Created in NX11.0.2

Member Function Documentation

unsafe void NXOpen.ConvergentFacet.Destroy ( )

Deletes a convergent facet object.

Please note that this method does not geometrically delete a facet from its surface mesh leaving a hole. It only deletes the tagged object created to represent the individual facet. If you are dealing with a large number of facets in your application, use this method to delete the facet when you are finished working with it.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.ConvergentFacet NXOpen.ConvergentFacet.GetAdjacentFacet ( int  edgeIndex)

Returns adjacent facet of a facet that abuts along edge of given edge index.

If edge of given edgeIndex is on boundary of the face, then a a null reference (Nothing in Visual Basic) is returned.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
edgeIndexthe index of edge at which adjacent facet is to find. It can be 0, 1 or 2. Error is returned for invalid value of edge index.
Returns
The adjacent facet along edge of input index
unsafe void NXOpen.ConvergentFacet.GetPlaneEquation ( out NXOpen.Vector3d  planeNormal,
out double  dCoefficient 
)

Returns coefficients of plane equation of a convergent facet.

The equation is of the form Ax + By +Cz + D = 0. Three values contained in parameter planeNormal represent A, B and C coefficients of the equation. dCoefficient represents D coefficient of the equation.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
planeNormalThe plane unit normal for the facet. The (X, Y, Z) of this vector provide the A, B and C coefficients respectively of the plane equation.
dCoefficientprovides the D coefficient in the plane equation.
unsafe NXOpen.Vector3d NXOpen.ConvergentFacet.GetUnitNormal ( )

Returns unit normal vector of convergent facet.

The unit normal of a facet depends on vertex ordering within facet and generally is in the direction of face normal. For a solid convergent body, the facet unit normal points away from the material if underlying surface is attached to the face in positive sense and vice versa.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The unit normal vector
unsafe NXOpen.Vector3d [] NXOpen.ConvergentFacet.GetVertexNormals ( )

Returns unit vertex normals of convergent facet.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The array of three vectors containing unit vertex normals at each facet vertex.
unsafe NXOpen.Point3d [] NXOpen.ConvergentFacet.GetVertices ( )

Returns all three vertices of convergent facet in an array of points.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Returns
The point array of three elements representing vertices of a convergent facet.
unsafe void NXOpen.ConvergentFacet.SetVertices ( NXOpen.Point3d[]  points)

Sets the coordinates of all the three vertices of a convergent facet to new values.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

Parameters
points

Property Documentation

unsafe bool NXOpen.ConvergentFacet.IsValid
get

Returns whether or not the convergent facet is a valid facet.

A facet becomes invalid when the underlying surface undergoes an update such that the given facet is no longer present in its surface.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.Face NXOpen.ConvergentFacet.OwningFace
get

Returns the owning face of convergent facet.

Created in NX11.0.2

License requirements: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex0
getset

Returns or sets the coordinates of the vertex with index equal to zero.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex1
getset

Returns or sets the coordinates of the vertex with index equal to one.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")

unsafe NXOpen.Point3d NXOpen.ConvergentFacet.Vertex2
getset

Returns or sets the coordinates of the vertex with index equal to two.

Please note that the set method repositions the facet vertices only if the vertex meets the following requirements:

  1. The vertex does not lie on a boundary edge of the convergent body.
  2. The vertex belongs to a dumb body feature without any dependent feature that modifies the body.

This method should be followed by a subsequent call to NXOpen.Update.DoUpdate . If your application sets multiple vertices of a face, then NXOpen.Update.DoUpdate should be called only once after setting all the vertices to new coordinates.

If any of the vertices of this facet lie on a boundary edge, then an exception with error code 4186254 is raised. If this facet belongs to a body feature that has dependent features and not just a dumb body feature, then an exception with error code 4186253 is raised.

Created in NX11.0.2

License requirements to get this property: gateway ("UG GATEWAY")

License requirements to set this property: gateway ("UG GATEWAY")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.